Package org.opensaml.saml.saml2.profile.impl

# Class ChainingSAML2NameIDGenerator

java.lang.Object
org.opensaml.saml.common.profile.impl.ChainingNameIdentifierGenerator<NameID>
org.opensaml.saml.saml2.profile.impl.ChainingSAML2NameIDGenerator

All Implemented Interfaces:
  `NameIdentifierGenerator<NameID>`, `SAML2NameIDGenerator`

public class ChainingSAML2NameIDGenerator extends ChainingNameIdentifierGenerator<NameID> implements SAML2NameIDGenerator
Subclass incorporating SAML 2 interface.

## Constructor Summary

Constructors
Constructor
Description
`ChainingSAML2NameIDGenerator()`

## Method Summary

### Methods inherited from class org.opensaml.saml.common.profile.impl.ChainingNameIdentifierGenerator

`generate, setDefaultGenerator, setGenerators`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.saml2.profile.SAML2NameIDGenerator

`generate`

## Constructor Details

### ChainingSAML2NameIDGenerator

public ChainingSAML2NameIDGenerator()